Package csb :: Package bio :: Package sequence :: Module alignment :: Class AbstractScoringMatrix

[frames] | no frames]

# Class AbstractScoringMatrix

source code

    object --+
             |
            AbstractScoringMatrix

Known Subclasses:
  - IdentityMatrix
  - , SimilarityMatrix

Defines a pairwise sequence alignment scoring function.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

float

score(self, x, y) Return the pairwise score of residues `x` and `y`. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``score``'``])``

Properties
Inherited from `object`: `__class__`

Method Details

### score(self, x, y)

source code

Return the pairwise score of residues `x` and `y`. `x` and `y` must be comparable (e.g. implement __eq__ and __hash__).

Parameters:
  - `x` (object) - first residue
  - `y` (object) - second residue
Returns: float
Raises:
  - `ResidueNotFoundError` - if `x` or `y` cannot be handled by this scoring matrix